curl --request POST \
--url https://api2.endstate.io/v1/chips/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chips": [
{
"unit_id": "22222222-2222-2222-2222-222222222222",
"is_test": true
},
{
"unit_id": "33333333-3333-3333-3333-333333333333",
"chip_id": "ABCDEF0123",
"e": "C78566198547116F3A715DC1C62AF96F"
}
]
}
'import requests
url = "https://api2.endstate.io/v1/chips/bulk"
payload = { "chips": [
{
"unit_id": "22222222-2222-2222-2222-222222222222",
"is_test": True
},
{
"unit_id": "33333333-3333-3333-3333-333333333333",
"chip_id": "ABCDEF0123",
"e": "C78566198547116F3A715DC1C62AF96F"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chips: [
{unit_id: '22222222-2222-2222-2222-222222222222', is_test: true},
{
unit_id: '33333333-3333-3333-3333-333333333333',
chip_id: 'ABCDEF0123',
e: 'C78566198547116F3A715DC1C62AF96F'
}
]
})
};
fetch('https://api2.endstate.io/v1/chips/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chips": [
{
"chip_id": "FEDCBA9876",
"is_test": true,
"unit": {
"id": "22222222-2222-2222-2222-222222222222",
"external_id": "unit-001",
"name": "Example Unit",
"attributes": null,
"created_at": "2026-05-16T12:00:00.000Z",
"collection": {
"id": "8e1a7f50-90ab-4cde-8012-3456789abcde",
"name": "Example Collection",
"external_id": "collection-001",
"contract": {
"address": "0x1111111111111111111111111111111111111111",
"chain_id": 84532,
"status": "active"
},
"token": {
"status": "pending",
"serial": null
}
}
},
"scan_count": 0,
"created_at": "2026-05-16T12:00:00.000Z"
},
{
"chip_id": "ABCDEF0123",
"is_test": false,
"unit": {
"id": "33333333-3333-3333-3333-333333333333",
"external_id": "unit-002",
"name": "Example Unit",
"attributes": null,
"created_at": "2026-05-16T12:00:00.000Z",
"collection": {
"id": "8e1a7f50-90ab-4cde-8012-3456789abcde",
"name": "Example Collection",
"external_id": "collection-001",
"contract": {
"address": "0x1111111111111111111111111111111111111111",
"chain_id": 84532,
"status": "active"
},
"token": {
"status": "pending",
"serial": null
}
}
},
"scan_count": 0,
"created_at": "2026-05-16T12:00:00.000Z"
}
]
}Pair chips in bulk
Pairs up to 100 chips to units of a single collection in one request. Units are issued in the order provided.
Authorizations
Use Authorization: Bearer end_sk_* for partner API keys (e.g. end_sk_AbCd_example_api_key).
Headers
Unique key that makes this request safe to retry. Replaying the key with the same body returns the original response with Idempotent-Replayed: true; replaying it with a different body returns 409 idempotency.key_conflict.
1 - 255"a1b2c3d4-0000-4000-8000-000000000000"
Body
Pair up to 100 chips in one request. All units must belong to the same collection; units are issued in the order provided.
1 - 100 elements- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Created chips, in the order provided.
The paired chips, in the order provided. Each carries a snapshot of its unit and issuance status.
Show child attributes
Show child attributes

